library(stockassessment)
load("run/model.RData")

idx<-which(fit$data$aux[,"fleet"]==4)
idx2<-which(fit$data$aux[,"fleet"]!=4)
r1 <- TMB::oneStepPredict(fit$obj, observation.name = "logobs", data.term.indicator = "keep", conditional=idx, discrete=FALSE)
r2 <- TMB::oneStepPredict(fit$obj, observation.name = "logobs", data.term.indicator = "keep", subset=idx, discrete=FALSE) 

ret<-rbind(cbind(fit$data$aux[idx2,],r1),cbind(fit$data$aux[idx,],r2))
attr(ret, "fleetNames") <- attr(fit$data, "fleetNames")
class(ret) <- "samres"
RES<-ret

RESP<-procres(fit)
save(RES, RESP, file="run/residuals.RData")












